# azure.mgmt.alertsmanagement package

## Submodules

- azure.mgmt.alertsmanagement.models module
- azure.mgmt.alertsmanagement.operations module

## Module contents

class `azure.mgmt.alertsmanagement.``AlertsManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  AlertsManagement Client

  Variables:

  - config (AlertsManagementClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.alertsmanagement.operations.Operations) – Operations operations
  - alerts (azure.mgmt.alertsmanagement.operations.AlertsOperations) – Alerts operations
  - smart_groups (azure.mgmt.alertsmanagement.operations.SmartGroupsOperations) – SmartGroups operations
  - action_rules (azure.mgmt.alertsmanagement.operations.ActionRulesOperations) – ActionRules operations
  - smart_detector_alert_rules (azure.mgmt.alertsmanagement.operations.SmartDetectorAlertRulesOperations) – SmartDetectorAlertRules operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL

class `azure.mgmt.alertsmanagement.``AlertsManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for AlertsManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL